Page MenuHomePhabricator

Hundreds of "PHP Warning: mysqli::query(): MySQL server has gone away" from the same web request
Closed, ResolvedPublic

Description

Error

Request URL:
Request ID: XSv08wpAADsAAAaY8JQAAABO

message
PHP Warning: mysqli::query(): MySQL server has gone away
trace
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/DatabaseMysqli.php(46): mysqli->query(string)
#2 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1288): Wikimedia\Rdbms\DatabaseMysqli->doQuery(string)
#3 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1205): Wikimedia\Rdbms\Database->executeQueryAttempt(string, string, boolean, string, integer)
#4 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1142): Wikimedia\Rdbms\Database->executeQuery(string, string, integer)
#5 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(4152): Wikimedia\Rdbms\Database->query(string, string, integer)
#6 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(4101): Wikimedia\Rdbms\Database->doRollback(string)
#7 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(907): Wikimedia\Rdbms\Database->rollback(string, string)
#8 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1484): Wikimedia\Rdbms\Database->close()
#9 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1997): Wikimedia\Rdbms\LoadBalancer->Wikimedia\Rdbms\{closure}(Wikimedia\Rdbms\DatabaseMysqli)
#10 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1485): Wikimedia\Rdbms\LoadBalancer->forEachOpenConnection(Closure)
#11 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1474): Wikimedia\Rdbms\LoadBalancer->closeAll()
#12 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(230): Wikimedia\Rdbms\LoadBalancer->disable()
#13 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactoryMulti.php(368): Wikimedia\Rdbms\LBFactory->Wikimedia\Rdbms\{closure}(Wikimedia\Rdbms\LoadBalancer, string, array)
#14 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(232): Wikimedia\Rdbms\LBFactoryMulti->forEachLB(Closure, array)
#15 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(164): Wikimedia\Rdbms\LBFactory->forEachLBCallMethod(string)
#16 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(760): Wikimedia\Rdbms\LBFactory->destroy()
#17 [internal function]: Wikimedia\Rdbms\LBFactory->__destruct()
#18 {main}

Impact

Unknown.

Notes

The same request ID (api.php) is emitting this error hundreds of times. This suggest some kind of (infinite?) loop or other malfunction.

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Jul 15 2019, 6:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2019, 6:57 PM
kchapman assigned this task to aaron.Jul 15 2019, 8:03 PM
kchapman moved this task from Inbox to Doing on the Performance-Team board.
Krinkle triaged this task as High priority.Jul 23 2019, 7:06 PM
Restricted Application added a project: Core Platform Team. · View Herald TranscriptJul 23 2019, 7:06 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:06 PM

Change 534651 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] rdbms: suppress warnings during DatabaseMysqli::doQuery()

https://gerrit.wikimedia.org/r/534651

Change 534651 merged by jenkins-bot:
[mediawiki/core@master] rdbms: suppress warnings during DatabaseMysqli::doQuery()

https://gerrit.wikimedia.org/r/534651

aaron closed this task as Resolved.Sep 30 2019, 8:41 PM

Not seeing this in the logs anymore.